EventRouter Service, REST: Bus.Create
Creates a bus in the specified folder.
HTTP request
POST https://serverless-eventrouter.api.cloud.yandex.net/eventrouter/v1/buses
Body parameters
{
"folderId": "string",
"name": "string",
"description": "string",
"labels": "object",
"deletionProtection": "boolean",
"loggingEnabled": "boolean",
"logOptions": {
// Includes only one of the fields `logGroupId`, `folderId`
"logGroupId": "string",
"folderId": "string",
// end of the list of possible fields
"minLevel": "string"
}
}
|
Field |
Description |
|
folderId |
string Required field. ID of the folder to create a bus in. |
|
name |
string Name of the bus. Value must match the regular expression |
|
description |
string Description of the bus. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) Labels for the bus. The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
deletionProtection |
boolean Flag that disallow deletion of the bus. |
|
loggingEnabled |
boolean Is logging from the bus enabled. |
|
logOptions |
Options for logging from the bus. |
LogOptions
|
Field |
Description |
|
logGroupId |
string Entry will be written to log group resolved by ID. The maximum string length in characters is 50. Value must match the regular expression Includes only one of the fields Log entries destination. |
|
folderId |
string Entry will be written to default log group for specified folder. The maximum string length in characters is 50. Value must match the regular expression Includes only one of the fields Log entries destination. |
|
minLevel |
enum (Level) Minimum log entry level.
|
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |